5.2.0-git
04/18/2014

[#12054] Ansel Faces issue
Summary Ansel Faces issue
Queue Ansel
Queue Version Git develop
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester simon (at) simonandkate (dot) net
Created 02/19/2013 (423 days ago)
Due
Updated 02/26/2013 (416 days ago)
Assigned 02/21/2013 (421 days ago)
Resolved 02/26/2013 (416 days ago)
Milestone 3
Patch No

History
02/26/2013 03:43:58 PM Michael Rubinsky State ⇒ Resolved
 
02/21/2013 08:00:46 PM Michael Rubinsky Comment #3
State ⇒ Assigned
Reply to this comment
Oops. Only the sidebar issue fixed. Still need to resolve issue with 
clicking on "Edit Faces".
02/21/2013 07:56:57 PM Michael Rubinsky State ⇒ Resolved
 
02/21/2013 07:56:39 PM Git Commit Comment #2 Reply to this comment
Changes have been made in Git (master):

commit 327dfddb2f6c98b4e86663942d7e490796519588
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Thu Feb 21 14:55:55 2013 -0500

     Fix order of /div

     Closes Bug: 12054

  ansel/lib/Faces.php |    2 +-
  1 files changed, 1 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/327dfddb2f6c98b4e86663942d7e490796519588
02/20/2013 06:41:37 AM Michael Rubinsky Milestone ⇒ 3
State ⇒ Assigned
Assigned to Michael Rubinsky
 
02/19/2013 09:36:08 AM simon (at) simonandkate (dot) net Comment #1
State ⇒ Unconfirmed
Patch ⇒ No
Milestone ⇒
Queue ⇒ Ansel
Summary ⇒ Ansel Faces issue
Type ⇒ Bug
Priority ⇒ 1. Low
Reply to this comment
Ansel (installed in H5.0.4) faces config is set to:

$conf['faces']['driver'] = 'user';
    $conf['faces']['search'] = '0';

I have a photo in a gallery, have tagged the face as a name.

When I browse to a photo with a face in it, the sidebar goes empty. A photo
    with no face, it still displays fine (New Gallery, Browse, etc). Also when
    in the photo with the tagged face, if I click on "edit faces", I get "Error
    when communicating with the server", and the following Horde log message:

2013-02-16T12:41:31+10:00 WARN: HORDE [ansel] PHP ERROR: Invalid argument
    supplied for foreach() [pid 1827 on line 8 of
    "/var/www/horde/ansel/templates/widgets/geotag.html.php"]

While in the Gallery, if I click on "edit faces", it launches a "Searching
    for faces in ... gallery" page, which I assume is the expected behaviour.